> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Domains

> Get a list of email domains for a specific org.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/emails/domains
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/emails/domains:
    get:
      tags:
        - Orgs Emails
      summary: Get Email Domains
      description: Get a list of email domains for a specific org.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
            maxLength: 256
            description: Search domains by name
          required: false
          description: Search domains by name
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/EmailDomainSchema'
                    - description: An email domain with DKIM verification
components:
  schemas:
    EmailDomainSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the email domain
        domain:
          type: string
          description: The domain name
        dkim_status:
          $ref: '#/components/schemas/EmailDomainDkimStatusSchema'
        dkim_tokens:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/EmailDomainDkimTokenSchema'
          description: DKIM CNAME records to add to DNS
        verified_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was verified
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was created
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the domain was last updated
      required:
        - id
        - domain
        - dkim_status
        - dkim_tokens
        - verified_at
        - created_at
        - updated_at
      description: Linked email domain
    EmailDomainDkimStatusSchema:
      type: string
      enum:
        - PENDING
        - VERIFIED
        - FAILED
      description: DKIM verification status of an email domain
    EmailDomainDkimTokenSchema:
      type: object
      properties:
        name:
          type: string
          description: CNAME record name
        value:
          type: string
          description: CNAME record value
      required:
        - name
        - value
      description: A DKIM CNAME record for domain verification
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````